Bug 509691 - powerman multilib conflict
Summary: powerman multilib conflict
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: powerman
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Steven M. Parrish
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-05 06:38 UTC by Philippe Troin
Modified: 2009-11-04 12:28 UTC (History)
2 users (show)

Fixed In Version: 2.3.5-2.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-04 12:28:30 UTC


Attachments (Terms of Use)

Description Philippe Troin 2009-07-05 06:38:01 UTC
Description of problem:

yum install power.i586 powerman.x86_64

yields:

Transaction Check Error:
  file /usr/share/man/man3/libpowerman.3.gz from install of powerman-2.3.4-5.fc11.i586 conflicts with file from package powerman-2.3.4-5.fc11.x86_64


Version-Release number of selected component (if applicable):
powerman-2.3.4-5.fc11

Comment 1 Steven M. Parrish 2009-07-05 11:54:08 UTC
why are you trying to install both the i586 and x86_64 version of the same program.  You should install one or other based on your architecture.

Comment 2 Philippe Troin 2009-07-05 15:08:34 UTC
That's what's multilib is all about ;)

I'm on x86_64, and I may want to compile some code using libpowerman.so.0 either in 32-bit or 64-bit mode.

Now you may argue that powerman should NOT be multilib.  Then make it so.
For now, both .i586 and .x86_64 are available for x86_64 platforms.
Either make them installable both at the same time (for the above scenario), or mark the package as not multlib (in which case the .i586 package would cease to be available on x86_64).

Comment 3 Fedora Update System 2009-10-11 18:53:17 UTC
powerman-2.3.5-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/powerman-2.3.5-2.fc11

Comment 4 Fedora Update System 2009-10-11 19:08:39 UTC
powerman-2.3.5-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/powerman-2.3.5-2.fc12

Comment 5 Fedora Update System 2009-10-14 01:58:43 UTC
powerman-2.3.5-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update powerman'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10496

Comment 6 Fedora Update System 2009-11-04 12:28:25 UTC
powerman-2.3.5-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.